Search Results for

Show / Hide Table of Contents

# Class ToplevelEqualityComparer

Implements the System.Collections.Generic.IEqualityComparer<T> to comparing two Toplevel used by StackExtensions.

##### Inheritance

System.Object
ToplevelEqualityComparer

##### Implements

System.Collections.Generic.IEqualityComparer<Toplevel>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class ToplevelEqualityComparer : IEqualityComparer<Toplevel>

### Methods

#### Equals(Toplevel, Toplevel)

Determines whether the specified objects are equal.

##### Declaration

    public bool Equals(Toplevel x, Toplevel y)

##### Parameters

Type | Name | Description
--- | --- | ---
Toplevel | x | The first object of type Toplevel to compare.
Toplevel | y | The second object of type Toplevel to compare.

##### Returns

Type | Description
--- | ---
System.Boolean | true if the specified objects are equal; otherwise, false.

#### GetHashCode(Toplevel)

Returns a hash code for the specified object.

##### Declaration

    public int GetHashCode(Toplevel obj)

##### Parameters

Type | Name | Description
--- | --- | ---
Toplevel | obj | The Toplevel for which a hash code is to be returned.

##### Returns

Type | Description
--- | ---
System.Int32 | A hash code for the specified object.

##### Exceptions

Type | Condition
--- | ---
System.ArgumentNullException | The type of `obj` is a reference type and `obj` is null.

### Implements

System.Collections.Generic.IEqualityComparer<T>